@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@400;500;600;700&family=Great+Vibes&display=swap');

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    min-height: 100vh;
    font-family: Poppins, sans-serif;
    background-image: url("../assets/images/heaven.png");
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
}

.login-page {
    min-height: 100vh;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    padding: 40px 20px;
}

.title {
    font-family: "Great Vibes", cursive;
    font-size: 100px;
    color: #6f73d9;
    margin-bottom: 30px;
    text-align: center;
}

.login-card {
    width: 100%;
    max-width: 620px;
    background: rgba(255, 255, 255, 0.78);
    border: 2px solid rgba(255, 255, 255, 0.55);
    border-radius: 40px;
    padding: 38px 42px;
    backdrop-filter: blur(6px);
    box-shadow: 0 12px 30px rgba(120, 110, 190, 0.15);
}

.login-form {
    display: flex;
    flex-direction: column;
    align-items: center;
}

.input-box {
    width: 100%;
    height: 78px;
    border: 2px solid rgba(230, 226, 250, 0.9);
    border-radius: 28px;
    background: rgba(255, 255, 255, 0.72);
    box-shadow: 0 6px 18px rgba(180, 170, 230, 0.12);

    display: flex;
    align-items: center;

    padding: 0 24px;
    margin-bottom: 24px;
}

/* icono */
.input-box i {
    font-size: 28px;
    color: #7d7fc7;
    margin-right: 14px;
}

.input-box input {
    width: 100%;
    height: 100%;
    border: none;
    outline: none;
    background: transparent;
    font-size: 20px;
    color: #7374b8;
    font-family: Poppins, sans-serif;
}

.input-box input::placeholder {
    color: #7d7fc7;
    font-weight: 500;
}

.login-button {
    width: 100%;
    height: 82px;
    border: none;
    border-radius: 999px;
    background: linear-gradient(to right, #7b6cff, #f36ab8);
    color: white;
    font-size: 24px;
    font-weight: 700;
    cursor: pointer;
    box-shadow: 0 10px 22px rgba(185, 120, 210, 0.28);
    margin-top: 10px;
    margin-bottom: 30px;
}